Package com.sun.grid.ca

## Class GridCAFactory

- java.lang.Object
- - com.sun.grid.ca.GridCAFactory

-     public class GridCAFactory
      extends java.lang.Object

  Factory class for instances of `GridCA`.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GridCAFactory()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static GridCA` | `newInstance​(GridCAConfiguration config)` | Create a new `GridCA`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GridCAFactory

          public GridCAFactory()

  - ### Method Detail

    - #### newInstance

          public static GridCA newInstance​(GridCAConfiguration config)
                                    throws GridCAException

      Create a new `GridCA`
      Parameters:
        `config` - configuration of the `GridCA`
      Returns:
        the `GridCA`
      Throws:
        `GridCAException` - if th configuration is not valid